- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.iocAssociations/batchGet#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.iocAssociations/batchGet#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.iocAssociations/batchGet#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.iocAssociations/batchGet#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.iocAssociations/batchGet#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.iocAssociations/batchGet#body.BatchGetIocAssociationsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.iocAssociations/batchGet#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.iocAssociations/batchGet#body.aspect_1)

**Full name**: projects.locations.instances.iocAssociations.batchGet

Gets a batch (list) of IocAssociations given a list of names and a parent.

### HTTP request

`GET https://{endpoint}/v1beta/{parent}/iocAssociations:batchGet`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent that owns this batch of ioc associations. Format: projects/{project}/locations/{region}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `names[]` | `string` Required. The names of the IocAssociations to retrieve. A maximum of 1000 IocAssociations can be retrieved in a batch. Format: projects/{project}/locations/{location}/instances/{instance}/iocAssociations/{iocAssociation} |

### Request body

The request body must be empty.

### Response body

Response message to get a batch of IocAssociations.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "associations": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.iocAssociations#IocAssociation`) } ] } ``` |

| Fields ||
|---|---|
| `associations[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.iocAssociations#IocAssociation`)`` The list of IocAssociations requested. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.iocAssociations.batchGet`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).